Package org.eclipse.graphiti.internal.features.context.impl.base

# Class DetailedPictogramElementContext

java.lang.Object
org.eclipse.graphiti.PropertyBag
org.eclipse.graphiti.internal.features.context.impl.base.DefaultContext
org.eclipse.graphiti.internal.features.context.impl.base.PictogramElementContext
org.eclipse.graphiti.internal.features.context.impl.base.DetailedPictogramElementContext

All Implemented Interfaces:
  `IContext`, `IPictogramElementContext`, `IPropertyBag`

Direct Known Subclasses:
  `DirectEditingContext`

public abstract class DetailedPictogramElementContext extends PictogramElementContext
The Class DetailedPictogramElementContext.

## Constructor Summary

Constructors
Constructor
Description
`DetailedPictogramElementContext(PictogramElement pictogramElement, GraphicsAlgorithm graphicsAlgorithm)`
The Constructor.

## Method Summary

Modifier and Type
Method
Description
`GraphicsAlgorithm`
`getGraphicsAlgorithm()`
Gets the graphics algorithm.
`String`
`toString()`

### Methods inherited from class org.eclipse.graphiti.internal.features.context.impl.base.PictogramElementContext

`getPictogramElement, setPictogramElement`

### Methods inherited from class org.eclipse.graphiti.PropertyBag

`getProperty, getPropertyKeys, putProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

## Constructor Details

### DetailedPictogramElementContext

public DetailedPictogramElementContext(PictogramElement pictogramElement, GraphicsAlgorithm graphicsAlgorithm)
The Constructor.

Parameters:
  `pictogramElement` - the pictogram element
  `graphicsAlgorithm` - the graphics algorithm

## Method Details

### getGraphicsAlgorithm

public GraphicsAlgorithm getGraphicsAlgorithm()
Gets the graphics algorithm.

Returns:
  the graphics algorithm

### toString

public String toString()

Overrides:
  `toString` in class `PictogramElementContext`